Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class TableView.TableCell

    java.lang.Object
      |
      +--javax.swing.text.View
            |
            +--javax.swing.text.CompositeView
                  |
                  +--javax.swing.text.BoxView
                        |
                        +--javax.swing.text.TableView.TableCell

public class TableView.TableCell
extends BoxView
implements javax.swing.text.TableView.GridCell

View of a cell in a table

Fields inherited from class javax.swing.text.View
`BadBreakWeight, ExcellentBreakWeight, ForcedBreakWeight, GoodBreakWeight, X_AXIS, Y_AXIS`

Constructor Summary
`TableView.TableCell(Element elem)` Constructs a TableCell for the given element.

Method Summary
`int` | `getColumnCount()` Gets the number of columns this cell spans (e.g.
`int` | `getGridColumn()` Gets the column of the grid location
`int` | `getGridRow()` Gets the row of the grid location
`float` | `getPreferredSpan(int axis)` Determines the preferred span for this view along an axis.
`int` | `getRowCount()` Gets the number of rows this cell spans (that is, the grid height).
`void` | `setGridLocation(int row, int col)` Sets the grid location.

Methods inherited from class javax.swing.text.BoxView
`baselineLayout, baselineRequirements, calculateMajorAxisRequirements, calculateMinorAxisRequirements, changedUpdate, childAllocation, flipEastAndWestAtEnds, getAlignment, getHeight, getMaximumSpan, getMinimumSpan, getOffset, getResizeWeight, getSpan, getViewAtPoint, getWidth, insertUpdate, isAfter, isAllocationValid, isBefore, layout, layoutMajorAxis, layoutMinorAxis, modelToView, paint, paintChild, preferenceChanged, removeUpdate, replace, setSize, viewToModel`

Methods inherited from class javax.swing.text.CompositeView
`append, getBottomInset, getChildAllocation, getInsideAllocation, getLeftInset, getNextEastWestVisualPositionFrom, getNextNorthSouthVisualPositionFrom, getNextVisualPositionFrom, getRightInset, getTopInset, getView, getViewAtPosition, getViewCount, getViewIndexAtPosition, insert, loadChildren, modelToView, removeAll, setInsets, setParagraphInsets, setParent`

Methods inherited from class javax.swing.text.View
`breakView, createFragment, getAttributes, getBreakWeight, getContainer, getDocument, getElement, getEndOffset, getParent, getStartOffset, getViewFactory, isVisible, modelToView, viewToModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableView.TableCell

    public TableView.TableCell(Element elem)

  Constructs a TableCell for the given element.
  Parameters:
    `elem` - the element that this view is responsible for

Method Detail

### getColumnCount

    public int getColumnCount()

  Gets the number of columns this cell spans (e.g. the grid width).
  Specified by:
    getColumnCount in interface javax.swing.text.TableView.GridCell
  Returns:
    the number of columns

### getRowCount

    public int getRowCount()

  Gets the number of rows this cell spans (that is, the grid height).
  Specified by:
    getRowCount in interface javax.swing.text.TableView.GridCell
  Returns:
    the number of rows

### setGridLocation

    public void setGridLocation(int row,
                                int col)

  Sets the grid location.
  Specified by:
    setGridLocation in interface javax.swing.text.TableView.GridCell
  Parameters:
    `row` - the row >= 0
    `col` - the column >= 0

### getGridRow

    public int getGridRow()

  Gets the row of the grid location
  Specified by:
    getGridRow in interface javax.swing.text.TableView.GridCell

### getGridColumn

    public int getGridColumn()

  Gets the column of the grid location
  Specified by:
    getGridColumn in interface javax.swing.text.TableView.GridCell

### getPreferredSpan

    public float getPreferredSpan(int axis)

  Determines the preferred span for this view along an axis. This is implemented to return the preferred span reported by the superclass divided by the row/column count for the cell so that multi-column and multi-row cells distribute their requirements across all the columns/rows that they participate in.
  Parameters:
    `axis` - may be either View.X_AXIS or View.Y_AXIS
  Overrides:
    getPreferredSpan in class BoxView

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.